Get a conversation
https://{kibana_url}
- GET /api/security_ai_assistant/current_user/conversations/{id}
- GET /s/{space_id}/api/security_ai_assistant/current_user/conversations/{id}
Refer to Spaces for more information.
Get the details of an existing conversation using the conversation ID. This allows users to fetch the specific conversation data by its unique ID.
Path Parameters
-
idstring · min: 1required -
The conversation's
idvalue, a unique identifier for the conversation.
Responses
Indicates a successful call. The conversation details are returned.
-
apiConfig -
actionTypeIdstringrequired -
Action type ID
-
connectorIdstringrequired -
Connector ID
-
defaultSystemPromptIdstring -
Default system prompt ID
-
modelstring -
Model
-
createdAtstringrequired -
The time conversation was created.
-
excludeFromLastConversationStorageboolean -
Exclude from last conversation storage.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
messagesobject -
The conversation messages.
-
contentstringrequired -
Message content.
-
isErrorboolean -
Is error message.
-
readerobject -
refusalstring -
Refusal reason returned by the model when content is filtered.
-
timestampstring · min: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
traceData -
Trace Data
-
traceIdstring -
Could be any string, not necessarily a UUID
-
transactionIdstring -
Could be any string, not necessarily a UUID
-
namespacestringrequired -
Kibana space
-
replacementsobject -
Replacements object used to anonymize/deanonymize messages
-
timestampstring · min: 1 -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
titlestringrequired -
The conversation title.
-
updatedAtstring -
The last time conversation was updated.
Generic Error. The request could not be processed due to an error.
-
errorstring -
messagestring -
statusCodenumber